MODULE_INIT(9)

NAME
module_init - driver initialization entry point

SYNOPSIS

module_init (x);

ARGUMENTS

x   function to be run at kernel boot time or module insertion

DESCRIPTION

 module_init will either be called during do_initcalls (if builtin) or at module insertion time (if a module). There can only be one per module.